BETTERMENU
Studio

Set Recipe Serving

Set the serving for a recipe — set or replace serving size.

⑦ of 8 | Next: ⑧ computeNutritionFacts

Use this to answer: "set the serving size", "add serving info", "how many servings in my recipe", "define a serving", "change the serving size"

Idempotent — creates a new serving or replaces the existing one.

Accepts serving size input (user_provided or racc_guided), calculates the FDA-compliant serving size internally, and stores the result.

For racc_guided mode, use searchUsRaccCategories to find the right RACC food category first.

PUT
/studio/recipes/{recipe_id}/servings

Authorization

BearerAuth
AuthorizationBearer <token>

JWT Bearer token authentication

In: header

Path Parameters

recipe_id*string

Request Body

application/json

serving_size*|

Response Body

application/json

application/json

curl -X PUT "https://loading/studio/recipes/string/servings" \  -H "Content-Type: application/json" \  -d '{    "serving_size": {      "household_amount": "2",      "household_unit": "cookies",      "metric_amount": "28",      "metric_unit": "g",      "serving_size_type": "user_provided"    }  }'
{
  "data": {
    "recipe_id": "string",
    "serving": {
      "id": "string",
      "serving_size": {
        "household_measure": "string",
        "metric_amount": "string",
        "metric_unit": "string",
        "servings_per_container": "string"
      },
      "dual_column_status": "string",
      "has_per_serving_nutrition_facts": true,
      "has_per_container_nutrition_facts": true
    },
    "next_steps": [
      {
        "operation": "string",
        "operationId": "string",
        "status": "string",
        "reason": "string"
      }
    ]
  },
  "meta": {
    "version": "string",
    "request_id": "string",
    "timestamp": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}